//
// Decoder
//
// An Objective-C class for simulating a digital decoder.
//


#import <objc/Object.h>
#import "Node.h"


@interface Decoder : Object


{
    //
    // Internal State.
    //
    
    Bool	multioutput;
    int		numouts;
    int		numbits;			// Number of input bits.
    int		outbits;			// Number of output bits.
    bit		*temp;				// Temporary output storage.
    
    //
    // External interface:
    //
    
    Node	*IN;				// n-bit input Node.
    
    Node	*OUT;				// 2^n-bit output Node.
    id		*outputs;			// Array of output Nodes.
}


- initNumBits:(int)nbits			// numbits inputs, 2^numbits outputs.
	in:innode				// Input Node.
	out:outnode;				// NODE of outputs.
- initNumBits:(int)nbits			// numbits inputs, 2^numbits outputs.
	in:innode				// Input Node.
	outs:(id *)outarray;			// ARRAY of outputs.
- free;

- cycle;


@end


//
// End of file.
//