//
// Merger
//
// Merger, like splitter, is a hybrid type of device. It behaves
// just like a node, except that it must be clocked to update
// its value before any devices which call upon its value use it.
// See the documentation on Splitter for a description of using
// this sort of device.
//


#import "Node.h"


@interface Merger : Node


{
    //
    // Internal State:
    //
    
    int		lowbits;
    int		highbits;
    
    //
    // External Interface:
    //
    
    Node	*LOW;				// n-bit node with low-order input.
    Node	*HIGH;				// m-bit node with low-order input.
}


- initLowBits:(int)lbits			// Number of bits of low-order input.
	low:lnode				// Node containing low-order part.
	highBits:(int)hbits			// Number of bits of higher-order input.
	high:hnode;				// Node containing high-order part.

- cycle;


@end


//
// End of file.
//