//
// Timer
//
// An Objective-C class for simulating a timer circuit.
//


#import <objc/Object.h>
#import "Node.h"
#import "Register.h"
#import "Incrementor.h"
#import "XNORGate.h"
#import "ANDGate.h"
#import "MUX.h"


@interface Timer : Object


{
    int		numbits;
    
    //
    // External Interface:
    //
    
    Node	*OUT;					// 1-bit output.
    
    //
    // Internal Nodes:
    //
    
    Node	*one;					// 1-bit.
    Node	*max;					// n-bit.
    Node	*zero16;					// n-bit.
    
    Node	*reg_out;				// n-bit.
    Node	*inc_out;				// n-bit.
    Node	*xnor_out;				// n-bit.
    Node	*mux_out;				// n-bit.
    
    //
    // Internal Devices:
    //
    
    Register	*reg;
    Incrementor	*inc;
    XNORGate	*xnor;
    ANDGate	*and;
    MUX		*mux;
}


- initNumBits:(int)nbits max:(bit *)maxval out:outnode;
- free;

- cycle;


@end


//
// End of file.
//