// FileSaverAndRetriever.m
// By Charles G. Fleming and Judy D. Halchin, 
// Educational Computing Services, Allegheny College.
// Copyright 1992, 1993 Allegheny College
// You may freely copy, distribute and reuse this code. 
// Allegheny College and the authors disclaim any warranty of any kind, 
// expressed or implied, as to its fitness for any particular use.
// This work was partially supported by a grant from the Pew Charitable Trusts
// and by an NSF Teacher Preparation Grant.

#import "FileSaverAndRetriever.h"
#import "FileRetrieverView.h"
#import "FileSaverView.h"

@implementation  FileSaverAndRetriever

- finishInstantiate
{	
	NXImage *fileRetrieverNXImage, *fileSaverNXImage;

	[self associateObject:fileSaverData type:IBObjectPboardType 
			with:fileSaverView];
	[self associateObject:fileRetrieverData type:IBObjectPboardType 
			with:fileRetrieverView];

	// Send the partially transparent NXImages, to be used in the palette
	// window, to the custom views.
	fileRetrieverNXImage = [self findImageNamed:"fileRetrieverForPalette"];
	[fileRetrieverView setNXImage:fileRetrieverNXImage];
	fileSaverNXImage = [self findImageNamed:"fileSaverForPalette"];
	[fileSaverView setNXImage:fileSaverNXImage];
	return self;
}

@end
