// MOTestDocManager.m
//
// by Mike Ferris
// Part of MOKit
// Copyright 1993, all rights reserved.

// ABOUT MOKit
// 
// MOKit is a collection of useful and general objects.  Permission is 
// granted by the author to use MOKit in your own programs in any way 
// you see fit.  All other rights to the kit are reserved by the author 
// including the right to sell these objects as part of a LIBRARY or as 
// SOURCE CODE.  In plain English, I wish to retain rights to these 
// objects as objects, but allow the use of the objects as pieces in a 
// fully functional program.  NO WARRANTY is expressed or implied.  The author 
// will under no circumstances be held responsible for ANY consequences to 
// you from the use of these objects.  Since you don't have to pay for 
// them, and full source is provided, I think this is perfectly fair.

#import "MOTestDocManager.h"
#import "MOTextDocController.h"
#import "MOImageDocController.h"

@implementation MOTestDocManager

- init
// Set up our doc classes.
{
	[self initDocumentClass:[MOTextDocController class]];
	[self addDocumentClass:[MOImageDocController class]];
	
	return self;
}

- toggleRuler:sender
// Provide some ruler support.  This ruler support could most likely be 
// done through firstResponder instead.
{
	id fr = [[NXApp keyWindow] firstResponder];
	if ([fr respondsTo:@selector(toggleRuler:)])  {
		[fr toggleRuler:sender];
	}  else  {
		return nil;
	}
	return self;
}


@end
