// TestControl.h
//
// by Mike Ferris
// Part of MOKit
// Copyright 1993, all rights reserved.

// ABOUT MOKit
// by Mike Ferris (mike@lorax.com)
//
// MOKit is a collection of useful and general objects.  Permission is 
// granted by the author to use MOKit in your own programs in any way 
// you see fit.  All other rights pertaining to the kit are reserved by the 
// author including the right to sell these objects as objects,  as part 
// of a LIBRARY, or as SOURCE CODE.  In plain English, I wish to retain 
// rights to these objects as objects, but allow the use of the objects 
// as pieces in a fully functional program.  Permission is also granted to 
// redistribute the source code of MOKit for FREE as long as this copyright 
// notice is left intact and unchanged.  NO WARRANTY is expressed or implied.  
// The author will under no circumstances be held responsible for ANY 
// consequences from the use of these objects.  Since you don't have to pay 
// for them, and full source is provided, I think this is perfectly fair.

// ABOUT TestControl
//
// This is the controller object for the MOStringTest app.

#import <appkit/appkit.h>

@interface TestControl:Object
{
    id	outputText;
    id	window;
}

- init;

- appDidInit:sender;

// Dealing with output
- appendText:(const char *)newText;
- appendString:string;
- doEndOfSection;

- runMOStringDiagnostic:sender;
- runMOSybaseStringDiagnostic:sender;
- runMOPathStringDiagnostic:sender;

@end
