// MORegexTextCellInspector.h
//
// by Mike Ferris
// Part of MOKit - MORegexPalette
// Copyright 1993, all rights reserved.

// ABOUT MOKit
// by Mike Ferris (mike@lorax.com)
//
// MOKit is a collection of useful and general objects.  Permission is 
// granted by the author to use MOKit in your own programs in any way 
// you see fit.  All other rights pertaining to the kit are reserved by the 
// author including the right to sell these objects as objects,  as part 
// of a LIBRARY, or as SOURCE CODE.  In plain English, I wish to retain 
// rights to these objects as objects, but allow the use of the objects 
// as pieces in a fully functional program.  Permission is also granted to 
// redistribute the source code of MOKit for FREE as long as this copyright 
// notice is left intact and unchanged.  NO WARRANTY is expressed or implied.  
// The author will under no circumstances be held responsible for ANY 
// consequences from the use of these objects.  Since you don't have to pay 
// for them, and full source is provided, I think this is perfectly fair.

// ABOUT MORegexTextCellInspector
//
// Handles the inspector for a RegexTextCell.  It allows setting of the 
// background and text gray, alignment, border type, editability, and tag 
// attributes of the cell as well as allowing the setting of the regular 
// expression list for the cell.

#import <appkit/appkit.h>

#import <apps/InterfaceBuilder.h>

@interface MORegexTextCellInspector:IBInspector
{
    id	patternBrowser;
    id	patternButtonMatrix;
    id	patternText;
	id	backgroundGrayMatrix;
	id	textGrayMatrix;
	id	alignmentMatrix;
	id	borderMatrix;
	id	allowEmptyStringButton;
	id	optionsCheckboxMatrix;
    id	tagForm;
}

+ initialize;

- init;

- (int)browserSelectedRow;
- enablePatternButtons;

- browserAction:sender;

- patternButtonAction:sender;

- optionsCheckboxAction:sender;

- ok:sender;
- revert:sender;

- (BOOL)wantsButtons;

- (int)browser:sender fillMatrix:matrix inColumn:(int)column;

- textDidGetKeys:sender isEmpty:(BOOL)flag;
- textDidChange:sender;

@end
